Bug 508170 - Cannot stop httpd
Cannot stop httpd
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
: 509466 (view as bug list)
Depends On:
Blocks: F12Target
  Show dependency treegraph
 
Reported: 2009-06-25 17:11 EDT by Fabio Canepa
Modified: 2010-06-28 09:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:17:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
httpd.conf (32.95 KB, application/octet-stream)
2009-06-26 05:20 EDT, Fabio Canepa
no flags Details

  None (edit)
Description Fabio Canepa 2009-06-25 17:11:49 EDT
Description of problem:
Unable to stop httpd with service httpd stop


Version-Release number of selected component (if applicable):
httpd-2.2.11-8.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Start httpd
# service httpd start
Starting httpd:                                            [  OK  ]

2. Try to stop httpd
# service httpd stop
Stopping httpd:                                            [FAILED]
  
Actual results:
httpd is not stopped 


Expected results:
httpd is stopped

Additional info:
When starting httpd a pid file is created in /var/run/httpd.pid but when stopping script /etc/init.d/httpd search for the pid file in /var/run/httpd/httpd.pid. If I do "mv /var/run/httpd.pid /var/run/httpd" then I can stop httpd
Comment 1 Joe Orton 2009-06-26 04:29:43 EDT
Did you upgrade from F10?  What's the output of:

# rpm -V httpd
Comment 2 Fabio Canepa 2009-06-26 05:14:28 EDT
I've done a clean install of F11 preview and then updated to final.

Here's the output

[root@f11fabio ~]# rpm -V httpd-2.2.11-8.x86_64
.......T.  c /etc/httpd/conf/httpd.conf
Comment 3 Fabio Canepa 2009-06-26 05:20:41 EDT
Created attachment 349526 [details]
httpd.conf

I've attached my httpd.conf but I don't think I've done any modification. Yesterday when I see that I cannot stop httpd I've tryed to change the line
PidFile run/httpd.pid with PidFile run/httpd/httpd.pid but with it seam that httpd ignore this conf and always create pid in /var/run/httpd.pid
Comment 4 Joe Orton 2009-08-18 07:52:54 EDT
*** Bug 509466 has been marked as a duplicate of this bug. ***
Comment 5 Michael Howard 2009-10-27 20:45:51 EDT
As a workaround, apachectl can be successfully used on F11 to successfully stop and restart httpd:

[root@trucha html]# apachectl stop
[root@trucha html]# service httpd start
Starting httpd:                                            [  OK  ]
[root@trucha html]# service httpd stop
Stopping httpd:                                            [FAILED]
[root@trucha html]# apachectl start
httpd (pid 5738) already running
[root@trucha html]# apachectl stop
[root@trucha html]# service httpd start
Starting httpd:                                            [  OK  ]
[root@trucha html]#
Comment 6 Bug Zapper 2010-04-27 11:15:32 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 09:17:48 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.